Get Invoice
curl --request GET \
--url https://connect.withvayu.com/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://connect.withvayu.com/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://connect.withvayu.com/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice": {
"customerId": "<string>",
"name": "<string>",
"billingCycle": {
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z"
},
"revenueBreakdown": {
"total": 123,
"subtotal": 123,
"overage": 123,
"discount": 123,
"creditsUsed": 123,
"tax": 123
},
"dueDate": "2023-11-07T05:31:56Z",
"accountId": "<string>",
"lineItems": [
{
"invoiceId": "<string>",
"revenueBreakdown": {
"total": 123,
"subtotal": 123,
"overage": 123,
"discount": 123,
"creditsUsed": 123,
"tax": 123
}
}
],
"amount": 123,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contractId": "<string>",
"paymentInfo": {
"transactionId": "<string>",
"date": "2023-11-07T05:31:56Z",
"paymentMethod": "<string>",
"paymentMethodId": "<string>",
"amount": 1,
"status": "<string>",
"note": "<string>",
"customerId": "<string>",
"depositTo": {
"name": "<string>",
"id": "<string>"
}
}
}
}{
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"params": [
{
"param": "<string>",
"message": "<string>"
}
]
}{
"type": "authentication_error",
"code": "authentication_failed",
"message": "<string>"
}{
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "<string>"
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "<string>"
}{
"type": "api_error",
"code": "internal_error",
"message": "<string>"
}Invoices
Get Invoice
Get a Invoice by id.
GET
/
invoices
/
{invoiceId}
Get Invoice
⌘I
